メインコンテンツへスキップ
GET
/
conversations
/
conversations
/
2026-09-beta
/
threads
スレッドを取得
curl --request GET \
  --url https://api.hubapi.com/conversations/conversations/2026-09-beta/threads \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "associatedContactId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "inboxId": "<string>",
      "originalChannelAccountId": "<string>",
      "originalChannelId": "<string>",
      "spam": true,
      "assignedTo": "<string>",
      "closedAt": "2023-11-07T05:31:56Z",
      "latestMessageReceivedTimestamp": "2023-11-07T05:31:56Z",
      "latestMessageSentTimestamp": "2023-11-07T05:31:56Z",
      "latestMessageTimestamp": "2023-11-07T05:31:56Z",
      "threadAssociations": {
        "associatedTicketId": "<string>"
      }
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean

アーカイブ済みの結果のみを返すかどうか。

associatedContactId
integer<int64>

IDを基準に特定のコンタクトのコミュニケーションの絞り込みリストを取得します。このパラメーターは「inboxId」プロパティーと一緒に使用できません。

associatedTicketId
integer<int64>

スレッドに関連付けられたチケットのID。指定すると、指定されたチケットにリンクされているスレッドのみを返します。

association
enum<string>[]

ここで「TICKET」の関連付けタイプを指定できます。これが設定されている場合、レスポンスにはスレッド関連付けオブジェクトと関連付けられているチケットIDが含まれます(ある場合)。このコミュニケーションでチケットへの関連付けがない場合は、スレッド関連付けオブジェクトはレスポンスに存在しなくなります。

利用可能なオプション:
TICKET
inboxId
integer<int32>[]

関連付けられているメッセージを取得するために必要に応じて含めることができるコミュニケーションの受信トレイのID。このパラメーターは「associatedContactId」プロパティーと一緒に使用できません。

latestMessageTimestampAfter
string<date-time>

最小の(最も早い)「latestMessageTimestamp」。これは、「latestMessageTimestamp」で並べ替える場合のみ必要です。

limit
integer<int32>

ページごとに表示する結果の最大数。

property
string

スレッドのレスポンスに含める特定のプロパティー。

sort
string[]

レスポンスの表示順を設定します。有効なオプションは「id」(デフォルト)と「latestMessageTimestamp」(「latestMessageTimestampAfter」フィールドも設定する必要があります)です。「associatedContactId」でスレッドを絞り込んでいる場合は、並べ替えオプションの先頭に-を付けることで降順で並べ替えることができます(例:「-id」や「-latestMessageTimestampAfter」)。それ以外の場合は、結果は常に昇順で返されます。

threadStatus
enum<string>

絞り込みの基準にするための関連付けられているコミュニケーションのステータス(「OPEN」または「CLOSED」)。このプロパティーは、「associatedContactId」クエリーパラメーターを含めている場合のみ指定する必要があります。

利用可能なオプション:
CLOSED,
OPEN

レスポンス

successful operation

results
object[]
必須
paging
object
最終更新日 2026年4月13日